IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'SCA_Ecsa_Fecha')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_DATE, NOTA)
	VALUES (1, 'SCA_Ecsa_Fecha', 'Fecha Evento para Interface ECSA','DATE',NULL,'')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'SCA_Ecsa_Camp')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_Integer, NOTA)
	VALUES (1, 'SCA_Ecsa_Camp', 'Grupo de Eventos para Interface ECSA','INTEGER',0,'')
END
GO

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'SCA_Ecsa_Deud')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_Integer, NOTA)
	VALUES (1, 'SCA_Ecsa_Deud', 'Meses Deuda para Interface ECSA','INTEGER',0,'')
END
GO


IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'SCA_Ecsa_Categ')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_STRING, NOTA)
	VALUES (1, 'SCA_Ecsa_Categ', 'Categorias para Interface ECSA','STRING',0,'')
END
GO




